Package de.willuhn.jameica.hbci.server

# Class UmsatzTypImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.datasource.db.AbstractDBObjectNode
de.willuhn.jameica.hbci.server.UmsatzTypImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.GenericObjectNode`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.DBObjectNode`, `de.willuhn.datasource.rmi.Transactionable`, `Duplicatable`, `UmsatzTyp`, `Serializable`, `Remote`

public class UmsatzTypImpl extends de.willuhn.datasource.db.AbstractDBObjectNode implements UmsatzTyp, Duplicatable
Implementierung eines Umsatz-Typs.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

### Fields inherited from interface de.willuhn.jameica.hbci.rmi.UmsatzTyp

`FLAG_NONE, FLAG_SKIP_REPORTS, MAXLENGTH_PATTERN, TYP_AUSGABE, TYP_EGAL, TYP_EINNAHME`

## Constructor Summary

Constructors
Constructor
Description
`UmsatzTypImpl()`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`delete()`
`Object`
`duplicate()`
Dupliziert das Objekt.
`Object`
`getAttribute(String arg0)`
`de.willuhn.datasource.GenericIterator`
`getChildren()`
`int[]`
`getColor()`
Liefert die fuer diese Kategorie zu verwendende Farbe.
`int`
`getFlags()`
Liefert ein Bit-Feld mit Flags.
`String`
`getKommentar()`
Liefert den Kommentar fuer den Umsatztyp.
`Konto`
`getKonto()`
Liefert das optional zugeordnete Konto.
`String`
`getKontoKategorie()`
Liefert eine optionale Konto-Kategorie.
`String`
`getName()`
Liefert den Namen des Umsatz-Typs.
`String`
`getNummer()`
Liefert die Nummer des Umsatz-Typs.
`de.willuhn.datasource.GenericObjectNode`
`getParent()`
`String`
`getPath(String sep)`
Liefert einen Pfad mit den Namen der Kategorien bis zur obersten Ebene.
`String`
`getPattern()`
Liefert das Suchmuster fuer den Umsatztyp.
`de.willuhn.datasource.GenericIterator`
`getPossibleParents()`
`String`
`getPrimaryAttribute()`
`protected String`
`getTableName()`
`de.willuhn.datasource.GenericIterator`
`getTopLevelList()`
`int`
`getTyp()`
Liefert den Typ der Kategorie.
`de.willuhn.datasource.GenericIterator`
`getUmsaetze()`
Liefert eine Liste von Umsaetzen, die diesem Umsatz-Typ entsprechen.
`de.willuhn.datasource.GenericIterator`
`getUmsaetze(int days)`
Liefert eine Liste von Umsaetzen der letzten Tage, die diesem Umsatz-Typ entsprechen.
`de.willuhn.datasource.GenericIterator`
`getUmsaetze(Date von, Date bis)`
Liefert eine Liste von Umsaetzen aus dem angegebenen Zeitraum.
`double`
`getUmsatz()`
Liefert die Hoehe des Umsatzes, der fuer diesen Umsatztyp auf allen Konten vorliegt.
`double`
`getUmsatz(int days)`
Liefert die Hoehe des Umsatzes der letzten Tage, der fuer diesen Umsatztyp auf allen Konten vorliegt.
`double`
`getUmsatz(Date von, Date bis)`
Liefert die Hoehe des Umsatzes aus dem angegebenen Zeitraum.
`boolean`
`hasFlag(int flag)`
Prueft, ob das angegebene Flag vorhanden ist.
`protected void`
`insertCheck()`
`boolean`
`isCustomColor()`
Prueft, ob eine benutzerdefinierte Farbe verwendet werden soll.
`boolean`
`isRegex()`
Prueft, ob es sich bei dem Pattern um einen regulaeren Ausdruck handelt.
`boolean`
`matches(Umsatz umsatz)`
Prueft, ob der Umsatz diesem Pattern entspricht.
`boolean`
`matches(Umsatz umsatz, boolean allowReassign)`
Prueft, ob der Umsatz diesem Pattern entspricht.
`void`
`overwrite(de.willuhn.datasource.rmi.DBObject object)`
`void`
`setColor(int[] rgb)`
Speichert die Farbe fuer die Umsatz-Kategorie.
`void`
`setCustomColor(boolean b)`
Legt fest, ob eine benutzerdefinierte Farbe verwendet werden soll.
`void`
`setFlags(int flags)`
Speichert die Flags einen Objektes.
`void`
`setKommentar(String kommentar)`
Speichert den Kommentar fuer den Umsatztyp.
`void`
`setKonto(Konto konto)`
Speichert das optional zugeordnete Konto.
`void`
`setKontoKategorie(String kategorie)`
Speichert eine optionale Konto-Kategorie.
`void`
`setName(String name)`
Speichert den Namen des Umsatz-Typs.
`void`
`setNummer(String nummer)`
Speichert die Nummer des Umsatz-Typs.
`void`
`setPattern(String pattern)`
Speichert das Suchmuster fuer den Umsatztyp.
`void`
`setRegex(boolean regex)`
Speichert, ob es sich bei dem Pattern um einen regulaeren Ausdruck handelt.
`void`
`setTyp(int typ)`
Speichert den Typ der Kategorie.
`void`
`store()`
Ueberschrieben, um den Umsatztyp-Cache zu aktualisieren.
`protected void`
`updateCheck()`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObjectNode

`deleteCheck, getNodeField, getPath, hasChild, setParent`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, equals, getAttributeNames, getAttributeType, getForeignObject, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, insert, isNewObject, load, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, isNewObject`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttributeType, getList, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObjectNode

`setParent`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.datasource.GenericObjectNode

`getPath, hasChild`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Constructor Details

### UmsatzTypImpl

public UmsatzTypImpl() throws RemoteException
ct.

Throws:
  `RemoteException`

## Method Details

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### insertCheck

protected void insertCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `insertCheck` in class `de.willuhn.datasource.db.AbstractDBObjectNode`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insertCheck()`

### updateCheck

protected void updateCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `updateCheck` in class `de.willuhn.datasource.db.AbstractDBObjectNode`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.updateCheck()`

### getUmsaetze

public de.willuhn.datasource.GenericIterator getUmsaetze() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert eine Liste von Umsaetzen, die diesem Umsatz-Typ entsprechen.

Specified by:
  `getUmsaetze` in interface `UmsatzTyp`
Returns:
  Umsatz-Liste.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getUmsaetze()`

### getUmsaetze

public de.willuhn.datasource.GenericIterator getUmsaetze(int days) throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert eine Liste von Umsaetzen der letzten Tage, die diesem Umsatz-Typ entsprechen.

Specified by:
  `getUmsaetze` in interface `UmsatzTyp`
Parameters:
  `days` - Anzahl der Tage.
Returns:
  Umsatz-Liste.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getUmsaetze(int)`

### getUmsaetze

public de.willuhn.datasource.GenericIterator getUmsaetze(Date von, Date bis) throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert eine Liste von Umsaetzen aus dem angegebenen Zeitraum.

Specified by:
  `getUmsaetze` in interface `UmsatzTyp`
Parameters:
  `von` - Start-Datum. Wenn == null, dann bleibt es unberücksichtigt.
  `bis` - Ende-Datum. Wenn == null, dann bleibt es unberücksichtigt.
Returns:
  Umsatz-Liste.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getUmsaetze(Date, Date)`

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Specified by:
  `getPrimaryAttribute` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `AbstractDBObject.getPrimaryAttribute()`

### getName

public String getName() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert den Namen des Umsatz-Typs.

Specified by:
  `getName` in interface `UmsatzTyp`
Returns:
  Name des Umsatz-Typs.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getName()`

### setName

public void setName(String name) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert den Namen des Umsatz-Typs.

Specified by:
  `setName` in interface `UmsatzTyp`
Parameters:
  `name` - Name des Umsatz-Typs.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.setName(java.lang.String)`

### getNummer

public String getNummer() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert die Nummer des Umsatz-Typs. Die Nummer wird für die Sortierung bei der Auswertung eingesetzt.

Specified by:
  `getNummer` in interface `UmsatzTyp`
Returns:
  Nummer des Umsatz-Typs.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getNummer()`

### setNummer

public void setNummer(String nummer) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert die Nummer des Umsatz-Typs.

Specified by:
  `setNummer` in interface `UmsatzTyp`
Parameters:
  `nummer` - Nummer des Umsatz-Typs
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.setNummer(java.lang.String)`

### getPattern

public String getPattern() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert das Suchmuster fuer den Umsatztyp.

Specified by:
  `getPattern` in interface `UmsatzTyp`
Returns:
  Suchmuster.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getPattern()`

### setPattern

public void setPattern(String pattern) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert das Suchmuster fuer den Umsatztyp.

Specified by:
  `setPattern` in interface `UmsatzTyp`
Parameters:
  `pattern` - das Suchmuster.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.setPattern(java.lang.String)`

### matches

public boolean matches(Umsatz umsatz) throws RemoteException
Description copied from interface: `UmsatzTyp`
Prueft, ob der Umsatz diesem Pattern entspricht. Ist fuer den Umsatz-Typ kein Pattern definiert, liefert die Funktion immer false.

Specified by:
  `matches` in interface `UmsatzTyp`
Parameters:
  `umsatz` - zu pruefender Umsatz.
Returns:
  true, wenn er dem Pattern entspricht.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.matches(de.willuhn.jameica.hbci.rmi.Umsatz)`

### matches

public boolean matches(Umsatz umsatz, boolean allowReassign) throws RemoteException
Description copied from interface: `UmsatzTyp`
Prueft, ob der Umsatz diesem Pattern entspricht. Ist fuer den Umsatz-Typ kein Pattern definiert, liefert die Funktion immer false.

Specified by:
  `matches` in interface `UmsatzTyp`
Parameters:
  `umsatz` - zu pruefender Umsatz.
  `allowReassign` - true, wenn der Umsatz auch dann als passend gewertet werden soll, wenn er bereits fest einer anderen Kategorie zugeordnet ist. Per Default (also wenn die "matches(Umsatz)"-Funktion ohne diesen Boolean-Parameter aufgerufen wird) ist dieser Parameter "false". Das heisst, ein Umsatz, der bereits manuell (nicht per Suchbegriff) einer anderen Kategorie zugeordnet ist, liefert hier false, wenn "this" nicht die zugeordnete Kategorie ist.
Returns:
  true, wenn er dem Pattern entspricht.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.matches(de.willuhn.jameica.hbci.rmi.Umsatz, boolean)`

### isRegex

public boolean isRegex() throws RemoteException
Description copied from interface: `UmsatzTyp`
Prueft, ob es sich bei dem Pattern um einen regulaeren Ausdruck handelt.

Specified by:
  `isRegex` in interface `UmsatzTyp`
Returns:
  true, wenn es sich um einen regulaeren Ausdruck handelt.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.isRegex()`

### setRegex

public void setRegex(boolean regex) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert, ob es sich bei dem Pattern um einen regulaeren Ausdruck handelt.

Specified by:
  `setRegex` in interface `UmsatzTyp`
Parameters:
  `regex` - true, wenn es sich um einen regulaeren Ausdruck handelt.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.setRegex(boolean)`

### setKommentar

public void setKommentar(String kommentar) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert den Kommentar fuer den Umsatztyp.

Specified by:
  `setKommentar` in interface `UmsatzTyp`
Parameters:
  `kommentar` - der Kommentar.
Throws:
  `RemoteException`

### getKommentar

public String getKommentar() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert den Kommentar fuer den Umsatztyp.

Specified by:
  `getKommentar` in interface `UmsatzTyp`
Returns:
  Kommentar.
Throws:
  `RemoteException`

### getUmsatz

public double getUmsatz() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert die Hoehe des Umsatzes, der fuer diesen Umsatztyp auf allen Konten vorliegt.

Specified by:
  `getUmsatz` in interface `UmsatzTyp`
Returns:
  Hoehe des Umsatzes.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getUmsatz()`

### getUmsatz

public double getUmsatz(Date von, Date bis) throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert die Hoehe des Umsatzes aus dem angegebenen Zeitraum.

Specified by:
  `getUmsatz` in interface `UmsatzTyp`
Parameters:
  `von` - Start-Datum. Wenn == null, dann bleibt es unberücksichtigt.
  `bis` - Ende-Datum. Wenn == null, dann bleibt es unberücksichtigt.
Returns:
  Hoehe des Umsatzes.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getUmsatz(Date, Date)`

### getUmsatz

public double getUmsatz(int days) throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert die Hoehe des Umsatzes der letzten Tage, der fuer diesen Umsatztyp auf allen Konten vorliegt.

Specified by:
  `getUmsatz` in interface `UmsatzTyp`
Parameters:
  `days` - Anzahl der Tage.
Returns:
  Hoehe des Umsatzes.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getUmsatz(int)`

### getAttribute

public Object getAttribute(String arg0) throws RemoteException

Specified by:
  `getAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getAttribute` in interface `de.willuhn.datasource.GenericObject`
Overrides:
  `getAttribute` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getAttribute(java.lang.String)`

### overwrite

public void overwrite(de.willuhn.datasource.rmi.DBObject object) throws RemoteException

Specified by:
  `overwrite` in interface `de.willuhn.datasource.rmi.Changeable`
Overrides:
  `overwrite` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `AbstractDBObject.overwrite(de.willuhn.datasource.rmi.DBObject)`

### delete

public void delete() throws RemoteException, de.willuhn.util.ApplicationException

Specified by:
  `delete` in interface `de.willuhn.datasource.rmi.Changeable`
Overrides:
  `delete` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.delete()`

### store

public void store() throws RemoteException, de.willuhn.util.ApplicationException
Ueberschrieben, um den Umsatztyp-Cache zu aktualisieren.

Specified by:
  `store` in interface `de.willuhn.datasource.rmi.Changeable`
Overrides:
  `store` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.store()`

### getColor

public int[] getColor() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert die fuer diese Kategorie zu verwendende Farbe.

Specified by:
  `getColor` in interface `UmsatzTyp`
Returns:
  Farbe oder null, wenn noch keine definiert wurde.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getColor()`

### setColor

public void setColor(int[] rgb) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert die Farbe fuer die Umsatz-Kategorie.

Specified by:
  `setColor` in interface `UmsatzTyp`
Parameters:
  `rgb` - Farbe.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.setColor(int[])`

### getTyp

public int getTyp() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert den Typ der Kategorie.

Specified by:
  `getTyp` in interface `UmsatzTyp`
Returns:
  Typ der Kategorie.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getTyp()`

### setTyp

public void setTyp(int typ) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert den Typ der Kategorie.

Specified by:
  `setTyp` in interface `UmsatzTyp`
Parameters:
  `typ` - Typ der Kategorie.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.setTyp(int)`

### getPossibleParents

public de.willuhn.datasource.GenericIterator getPossibleParents() throws RemoteException

Specified by:
  `getPossibleParents` in interface `de.willuhn.datasource.GenericObjectNode`
Overrides:
  `getPossibleParents` in class `de.willuhn.datasource.db.AbstractDBObjectNode`
Throws:
  `RemoteException`
See Also:
  - `AbstractDBObjectNode.getPossibleParents()`

### getTopLevelList

public de.willuhn.datasource.GenericIterator getTopLevelList() throws RemoteException

Specified by:
  `getTopLevelList` in interface `de.willuhn.datasource.rmi.DBObjectNode`
Overrides:
  `getTopLevelList` in class `de.willuhn.datasource.db.AbstractDBObjectNode`
Throws:
  `RemoteException`
See Also:
  - `AbstractDBObjectNode.getTopLevelList()`

### isCustomColor

public boolean isCustomColor() throws RemoteException
Description copied from interface: `UmsatzTyp`
Prueft, ob eine benutzerdefinierte Farbe verwendet werden soll.

Specified by:
  `isCustomColor` in interface `UmsatzTyp`
Returns:
  true, wenn eine benutzerdefinierte Farbe verwendet werden soll.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.isCustomColor()`

### setCustomColor

public void setCustomColor(boolean b) throws RemoteException
Description copied from interface: `UmsatzTyp`
Legt fest, ob eine benutzerdefinierte Farbe verwendet werden soll.

Specified by:
  `setCustomColor` in interface `UmsatzTyp`
Parameters:
  `b` - true, wenn eine benutzerdefinierte Farbe verwendet werden soll.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.setCustomColor(boolean)`

### getChildren

public de.willuhn.datasource.GenericIterator getChildren() throws RemoteException

Specified by:
  `getChildren` in interface `de.willuhn.datasource.GenericObjectNode`
Overrides:
  `getChildren` in class `de.willuhn.datasource.db.AbstractDBObjectNode`
Throws:
  `RemoteException`
See Also:
  - `AbstractDBObjectNode.getChildren()`

### getParent

public de.willuhn.datasource.GenericObjectNode getParent() throws RemoteException

Specified by:
  `getParent` in interface `de.willuhn.datasource.GenericObjectNode`
Overrides:
  `getParent` in class `de.willuhn.datasource.db.AbstractDBObjectNode`
Throws:
  `RemoteException`
See Also:
  - `AbstractDBObjectNode.getParent()`

### duplicate

public Object duplicate() throws RemoteException
Description copied from interface: `Duplicatable`
Dupliziert das Objekt.

Specified by:
  `duplicate` in interface `Duplicatable`
Returns:
  neues Objekt mit den gleichen Eigenschaften.
Throws:
  `RemoteException`
See Also:
  - `Duplicatable.duplicate()`

### getKonto

public Konto getKonto() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert das optional zugeordnete Konto.

Specified by:
  `getKonto` in interface `UmsatzTyp`
Returns:
  Konto.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getKonto()`

### setKonto

public void setKonto(Konto konto) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert das optional zugeordnete Konto.

Specified by:
  `setKonto` in interface `UmsatzTyp`
Parameters:
  `konto` - Konto.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.setKonto(de.willuhn.jameica.hbci.rmi.Konto)`

### getKontoKategorie

public String getKontoKategorie() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert eine optionale Konto-Kategorie.

Specified by:
  `getKontoKategorie` in interface `UmsatzTyp`
Returns:
  eine optionale Konto-Kategorie.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getKontoKategorie()`

### setKontoKategorie

public void setKontoKategorie(String kategorie) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert eine optionale Konto-Kategorie.

Specified by:
  `setKontoKategorie` in interface `UmsatzTyp`
Parameters:
  `kategorie` - die optionale Konto-Kategorie.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.setKontoKategorie(java.lang.String)`

### hasFlag

public boolean hasFlag(int flag) throws RemoteException
Description copied from interface: `UmsatzTyp`
Prueft, ob das angegebene Flag vorhanden ist.

Specified by:
  `hasFlag` in interface `UmsatzTyp`
Parameters:
  `flag` - das zu pruefende Flag.
Returns:
  true, wenn es gesetzt ist.
Throws:
  `RemoteException`
See Also:
  - `Flaggable.hasFlag(int)`

### getFlags

public int getFlags() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert ein Bit-Feld mit Flags. Ein Objekt kann mit verschiedenen Flags markiert werden. Das kann zum Beispiel "deaktiviert" sein. Damit fuer kuenftige weitere Flags nicht immer ein neues Feld zur Datenbank hinzugefuegt werden muss, verwenden wir hier ein Bitfeld. Damit koennen mehrere Flags in einem Wert codiert werden.

Specified by:
  `getFlags` in interface `UmsatzTyp`
Returns:
  Bit-Feld mit den Flags des Objektes.
Throws:
  `RemoteException`
See Also:
  - `Flaggable.getFlags()`

### setFlags

public void setFlags(int flags) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert die Flags einen Objektes.

Specified by:
  `setFlags` in interface `UmsatzTyp`
Parameters:
  `flags` - die Flags in Form eines Bit-Feldes.
Throws:
  `RemoteException`
See Also:
  - `Flaggable.setFlags(int)`

### getPath

public String getPath(String sep) throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert einen Pfad mit den Namen der Kategorien bis zur obersten Ebene.

Specified by:
  `getPath` in interface `UmsatzTyp`
Parameters:
  `sep` - das Trennzeichen.
Returns:
  der Pfad.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getPath(java.lang.String)`